import { BaseCustomWebComponentConstructorAppend } from '@node-projects/base-custom-webcomponent';
export declare class ImageButtonListSelector extends BaseCustomWebComponentConstructorAppend {
    static readonly style: CSSStyleSheet;
    static readonly template: HTMLTemplateElement;
    static properties: {
        value: StringConstructor;
        property: StringConstructor;
        unsetValue: StringConstructor;
        noValueInHeader: BooleanConstructor;
    };
    constructor();
    private _value;
    get value(): string;
    set value(value: string);
    property: string;
    unsetValue: string;
    noValueInHeader: boolean;
    _updateValue(): void;
    ready(): void;
}
